package com.xhkjedu.smarking.mapper.papercheck;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheck;
import com.xhkjedu.smarking.model.papercheck.MsPaperCheckTeacherTask;
import com.xhkjedu.smarking.vo.papercheck.MsCheckParam;
import com.xhkjedu.smarking.vo.papercheck.MsPaperCheckVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷批阅教师任务表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperCheckTeacherTaskMapper extends TkMapper<MsPaperCheckTeacherTask> {
    //根据题块ID和教师ID获取指定数量的任务ID列表
    List<Integer> getTaskIdsByMBlockIdAndTeacherId(@Param("mblockid") Integer mblockid,@Param("teacherid") Integer teacherid
            ,@Param("tasknum") Integer tasknum);

    //批量更新任务信息
    void batchUpdate(@Param("tasks") List<MsPaperCheckTeacherTask> tasks);

    //批量保存或更新
    void batchSave(@Param("tasks") List<MsPaperCheckTeacherTask> tasks);

    //阅卷进度-按题块
    List<Map> listByBlock(@Param("mpid") Integer mpid);

    //阅卷进度-按题块-查看详情
    List<Map> detailByBlock(@Param("mpid") Integer mpid, @Param("mblockid") Integer mblockid
            , @Param("dispenseway") Integer dispenseway,@Param("checktype") Integer checktype);

    //阅卷进度-按教师
    List<Map> listByTeacher(@Param("mpid") Integer mpid);

    //教师阅卷-待阅卷列表
    List<Map> listPending(@Param("param") MsCheckParam param);

    //教师阅卷-待阅卷详情
    List<Map> listPendingBlock(@Param("param") MsCheckParam param);

    //教师阅卷-题块列表
    List<Map> listTeacherBlock(@Param("param") MsCheckParam param);

    //获取题块阅卷信息
    List<MsPaperCheck> listPaperCheck(@Param("param") MsCheckParam param);

    //获取待批试题（平均、定量分配）
    MsPaperCheckVo getCorrectBlock(@Param("param") MsCheckParam param);
    //获取待批试题（效率优先）
    MsPaperCheckVo getCorrectBlock2(@Param("param") MsCheckParam param);

    //删除教师阅卷任务
    void deleteByMpsbids(@Param("mpsbids") String mpsbids);

    //阅卷进度-按试题
    List<Map> listByQuestion(@Param("mpid") Integer mpid,@Param("correcttype") Integer correcttype);
}
