package com.xhkjedu.smarking.service.stupaper;

import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentQuestionMapper;
import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentQuestionScoreMapper;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestion;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionScore;
import com.xhkjedu.utils.N_Utils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 阅卷学生分数修改历史表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperStudentQuestionScoreService {
    @Resource
    private MsPaperStudentQuestionScoreMapper msPaperStudentQuestionScoreMapper;
    @Resource
    private MsPaperStudentQuestionMapper msPaperStudentQuestionMapper;

    /**
     * @Description 新增
     * @Param [msPaperStudentQuestionScore]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    @Transactional(rollbackFor = Exception.class)
    public void add(MsPaperStudentQuestionScore msPaperStudentQuestionScore){
        //获取学生试卷试题信息
        MsPaperStudentQuestion msPaperStudentQuestion = msPaperStudentQuestionMapper.selectByPrimaryKey(msPaperStudentQuestionScore.getMpsqsid());
        msPaperStudentQuestionScore.setExamid(msPaperStudentQuestion.getExamid());
        msPaperStudentQuestionScore.setMpid(msPaperStudentQuestion.getMpid());
        msPaperStudentQuestionScore.setStudentid(msPaperStudentQuestion.getStudentid());
        msPaperStudentQuestionScore.setQn(msPaperStudentQuestion.getQn());
        msPaperStudentQuestionScore.setPrescore(msPaperStudentQuestion.getStuscore());
        msPaperStudentQuestionScore.setCreatetime(N_Utils.getSecondTimestamp());
        msPaperStudentQuestionScoreMapper.insert(msPaperStudentQuestionScore);//保存修改分数记录

    }


    /*
     * @Description 修改分数-修改记录
     * @Date 2024/11/11 17:54:16
     * @Author WN
     * @Param [student]
     * @Return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     **/
    public List<Map<String,Object>> listStuQuestionScore(MsClassStudent student){
        return msPaperStudentQuestionScoreMapper.listStuQuestionScore(student);
    }
}
